Anonymous Login
2019-07-21 09:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002067OpenClonkEngine - C4Scriptpublic2019-06-20 14:34
ReporterMarky 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version9.0Fixed in Version9.0 
Summary0002067: Push/PopActionSpeed working like a stack can cause invalid strange behaviour
DescriptionExample:

Speed of action "foo" is originally 100.
Object A has an effect that slows down the target, Object B has an effect that speeds up the object.

Frame 100: Object A calls target->PushActionSpeed("foo", 800, true) (Scale to 80%), Speed is 80
Frame 150: Object B calls target->PushActionSpeed("foo", 1500, true) (Scale to 150%), Speed is 120
Frame 200: Object A calls target->PopActionSpeed("foo"), Speed is 80 (but should be 150!)
Frame 250: Object B calls target->PopActionSpeed("foo"), Speed is 100.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-06-08 13:19 Marky New Issue
2019-06-08 13:19 Marky Status new => assigned
2019-06-08 13:19 Marky Assigned To => Marky
2019-06-20 14:33 Marky Status assigned => resolved
2019-06-20 14:33 Marky Resolution open => fixed
2019-06-20 14:33 Marky Fixed in Version => 9.1
2019-06-20 14:34 Marky Product Version => git master
2019-06-20 14:34 Marky Fixed in Version 9.1 => git master
2019-06-20 14:34 Marky Target Version => 9.0
2019-06-20 14:34 Marky Fixed in Version git master => 9.0
+Issue History